SMAO API Documentation
Public APIConnectivity

Health check

Confirms the API is reachable and your API key is valid.

GET
/ping
AuthorizationBearer <token>

API key in the Authorization: Bearer <key> header. Keys are created in the SMAO dashboard (Settings → API Keys).

In: header

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.smao.ai/api/v1/ping"
{
  "data": {
    "ok": true,
    "now": "2019-08-24T14:15:22Z"
  }
}
{
  "error": {
    "code": "unauthorized",
    "message": "Missing API key"
  }
}
{
  "error": {
    "code": "subscription_required",
    "message": "This feature is not available in your current subscription. Please upgrade to a higher plan"
  }
}
{
  "error": {
    "code": "rate_limit_exceeded",
    "message": "Rate limit exceeded"
  }
}
{
  "error": {
    "code": "internal_error",
    "message": "An unexpected error occurred."
  }
}